import { IDomEditor, SlateDescendant, SlateElement } from '@wangeditor/editor'

function parseJOBCARDHtml(domElem: Element, children: SlateDescendant[], editor: IDomEditor): SlateElement {
    const myResume = {
        type: 'JOBCARD',
        children: [{ text: (children[0] as any).text }] // void node 必须有 children ，其中有一个空字符串，重要！！！
    }
    return myResume
}
export const parseHtmlConf = {
    selector: 'JOBCARD[data-w-e-type="JOBCARD"]', // CSS 选择器，匹配特定的 HTML 标签
    parseElemHtml: parseJOBCARDHtml
}
