import { h, VNode } from 'snabbdom'
import { IDomEditor, SlateElement } from '@wangeditor/editor'

function renderJOBCARD(elem: SlateElement, children: VNode[] | null, editor: IDomEditor): VNode {
    return h('JOBCARD', { style: { display: 'block' } }, children)
}

export const renderElemConf = {
    type: 'JOBCARD',
    renderElem: renderJOBCARD
}
